<?php
declare(strict_types = 1);

include_once('config/default.php');

use GuzzleHttp\Client as HTTPClient;
use PHPHtmlParser\Dom as DOM;

function fetchUrl($url) {
    $client = new HTTPClient();

    $res = $client->request(
        'GET', $url, [
            'http_errors' => false,
            'headers' => [
                'User-Agent' => Config::userAgent
            ]
        ]
    );

    if ($res->getStatusCode() !== 200) {
        Log::debug($res->getBody());
        $exc = new Exception("Request for $url returned {$res->getStatusCode()}");
        $exc->response = $res;

        throw $exc;
    };

    $dom = new DOM;
    $dom->loadStr(strval($res->getBody()));
    return $dom;
};
