<?php

include_once('config/default.php');

class Log {
    private static $enabled = Config::logLevels;

    private static function emit(string $level, $message) {
        if (!Log::$enabled[$level]) {
            return;
        };
        $now = date("c");
        print("$now [$level] $message\n");
    }

    public static function silly($message) {
        Log::emit('silly', $message);
    }

    public static function debug($message) {
        Log::emit('debug', $message);
    }

    public static function info($message) {
        Log::emit('info', $message);
    }

    public static function warn($message) {
        Log::emit('warn', $message);
    }
};
